//Generated by the protocol buffer compiler. DO NOT EDIT!
// source: dsepractice/chinese/v1alpha1/core_types.proto

package gg.dsepractice.chinese.v1alpha1;

@kotlin.jvm.JvmName("-initializelistLeaderboardEntriesRequest")
inline fun listLeaderboardEntriesRequest(block: gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest =
  gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequestKt.Dsl._create(gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest.newBuilder()).apply { block() }._build()
object ListLeaderboardEntriesRequestKt {
  @kotlin.OptIn(com.google.protobuf.kotlin.OnlyForUseByGeneratedProtoCode::class)
  @com.google.protobuf.kotlin.ProtoDslMarker
  class Dsl private constructor(
    private val _builder: gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest.Builder
  ) {
    companion object {
      @kotlin.jvm.JvmSynthetic
      @kotlin.PublishedApi
      internal fun _create(builder: gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest.Builder): Dsl = Dsl(builder)
    }

    @kotlin.jvm.JvmSynthetic
    @kotlin.PublishedApi
    internal fun _build(): gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest = _builder.build()

    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     */
    var articleId: kotlin.String
      @JvmName("getArticleId")
      get() = _builder.getArticleId()
      @JvmName("setArticleId")
      set(value) {
        _builder.setArticleId(value)
      }
    /**
     * <code>string article_id = 5 [json_name = "articleId"];</code>
     */
    fun clearArticleId() {
      _builder.clearArticleId()
    }

    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     */
    var paginationOption: gg.dsepractice.chinese.v1alpha1.PaginationOption
      @JvmName("getPaginationOption")
      get() = _builder.getPaginationOption()
      @JvmName("setPaginationOption")
      set(value) {
        _builder.setPaginationOption(value)
      }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     */
    fun clearPaginationOption() {
      _builder.clearPaginationOption()
    }
    /**
     * <code>.dsepractice.chinese.v1alpha1.PaginationOption pagination_option = 6 [json_name = "paginationOption"];</code>
     * @return Whether the paginationOption field is set.
     */
    fun hasPaginationOption(): kotlin.Boolean {
      return _builder.hasPaginationOption()
    }
  }
}
inline fun gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest.copy(block: gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequestKt.Dsl.() -> kotlin.Unit): gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequest =
  gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequestKt.Dsl._create(this.toBuilder()).apply { block() }._build()

val gg.dsepractice.chinese.v1alpha1.ListLeaderboardEntriesRequestOrBuilder.paginationOptionOrNull: gg.dsepractice.chinese.v1alpha1.PaginationOption?
  get() = if (hasPaginationOption()) getPaginationOption() else null

